%define luaver 5.1
%define lualibdir %{_libdir}/lua/%{luaver}
%define luapkgdir %{_datadir}/lua/%{luaver}

Name:           luadoc
Version:        3.0.1
Release:        4%{?dist}
Summary:        Documentation Generator Tool for the Lua language

Group:          Development/Libraries
License:        MIT
URL:            http://luadoc.luaforge.net/
Source0:        http://luaforge.net/frs/download.php/3185/luadoc-3.0.1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       lua = %{luaver}
Requires:       lua-filesystem
Requires:       lua-logging

%description
LuaDoc is a documentation generator tool for Lua source code. It parses the
declarations and documentation comments in a set of Lua source files and
produces a set of XHTML pages describing the commented declarations and
functions.

The output is not limited to XHTML. Other formats can be generated by
implementing new doclets. The format of the documentation comments is also
flexible and can be customized by implementing new taglets.

%prep
%setup -q


%build


%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT/%{_prefix} LUA_LIBDIR=$RPM_BUILD_ROOT/%{lualibdir} LUA_DIR=$RPM_BUILD_ROOT/%{luapkgdir} SYS_BINDIR=$RPM_BUILD_ROOT/%{_bindir} LUA_INTERPRETER=%{_bindir}/lua


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/us/*
%doc README
%{luapkgdir}/*
%{_bindir}/luadoc


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Apr 04 2008 Tim Niemueller <tim@niemueller.de> - 3.0.1-1
- Initial package

